<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html">

<h:head>
	<title>Olá JSF</title>
	<script>
	function alterarValor() {
		alert("clicou");
		var campo = document.getElementById('formPessoa:nome');
		campo.value = 'eu cliquei no campo!';
	}
	</script>
</h:head>
<h:body>
	<h:form id="formPessoa">
		<h1>Olá Jsf INDEXX</h1>
		<h:commandButton value="mover pagina" action="primeirapagina"/>
		<h:inputText id="nome" onclick="this.value='troquei o valor'" onchange="this.value = this.value.toUpperCase();"/>
		<h:commandButton value="clicar" onclick="alterarValor();"/>
		<br/>
		<br/>
		
		<h:outputText value="saida de texte"/>
		<h:outputLabel value="nome:" for="campnome"/>
		<h:inputText id="campnome" value="teste"/>
		
	</h:form>
</h:body>
</html>